The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get a Ruleset

Prev Next

This URL gets a ruleset.

Resource URL

suricata/ruleset/current

Request Parameters

None

Response Parameters

Following fields are returned if the request parameters are correct.

Field Name

Description

Data Type

success

Displays the success status

Boolean

msg

Displays the message

Boolean

errMsg

Displays the error message

Boolean

data

An object that contains the details of the field

Object

errorCode

Error code

Number

Details of fields in data:

Field Name

Description

Data Type

rulesetName

Name of a ruleset

String

publisherName

Name of the publisher

String

rulesetVersion

Version of ruleset

String

importDate

Import date

String

importedBy

Details of the importer

String

lastImportType

Last import type

String

rulesetFile

Ruleset file details

String

Example

Request

GET https://<IPSM_IP>/sdkapi/suricata/ruleset/current

Response

{    
    "success": true,    
    "msg": null,    
    "errMsg": null,    
    "data": {        
        "rulesetName": "Test",        
        "publisherName": "Test",        
        "rulesetVersion": "11.11",        
        "importDate": "21-Nov-2025",        
        "importedBy": "Administrator",        
        "lastImportType": "rules",        
        "rulesetFile": "suricata_pcap_test.rules"    
    },    
    "errorCode": 0
}

Error Information

The following error code is returned by this URL:

S.No

Generic Error Codes

ErrorMessage

Error Reason

1

1001

Bad URL - HTTP 404 Not Found

Mistyped URL

Internal Error – Null

Incorrect Input data, authentication issues